Bug 1282688 (CVE-2013-7446) - CVE-2013-7446 kernel: Unix sockets use after free - peer_wait_queue prematurely freed
Summary: CVE-2013-7446 kernel: Unix sockets use after free - peer_wait_queue premature...
Status: CLOSED WONTFIX
Alias: CVE-2013-7446
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150910,repor...
Keywords: Security
: 1273845 (view as bug list)
Depends On: 1282712
Blocks: 1273846
TreeView+ depends on / blocked
 
Reported: 2015-11-17 06:24 UTC by Wade Mealing
Modified: 2019-06-11 11:13 UTC (History)
18 users (show)

(edit)
A flaw was found in the Linux kernel's implementation of Unix sockets.  A server polling for client-socket data could put the peer socket on a wait list; the peer socket could then close the connection, making the reference on the wait list no longer valid.  This could lead to bypassing the permissions on a Unix socket and packets being injected into the stream, and could also panic the machine (denial of service).
Clone Of:
(edit)
Last Closed: 2019-06-08 02:45:37 UTC


Attachments (Terms of Use)

Description Wade Mealing 2015-11-17 06:24:11 UTC
A flaw was found in the Linux kernels implementation of Unix sockets.  A
server polling for data coming from a client socket may put the peer
socket on a wait list.  This peer may close the connection making
the reference on the wait list no longer valid.  This could lead to bypssing the permissions on a unix socket, and packets being injected into the stream.  This may also panic the machine.

Additional resources:

https://groups.google.com/forum/#!topic/syzkaller/3twDUI4Cpm8

http://seclists.org/oss-sec/2015/q4/321

https://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=7d267278a9ece963d77eefec61630223fce08c6c

Comment 1 Wade Mealing 2015-11-17 08:31:54 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1282712]

Comment 2 Wade Mealing 2015-11-18 04:34:26 UTC
*** Bug 1273845 has been marked as a duplicate of this bug. ***

Comment 3 Wade Mealing 2015-11-18 05:34:38 UTC
Statement:

This issue does not affect Linux kernels as shipped with Red Hat Enterprise linux 5,7, MRG-2 and realtime kernels.

This issue affects the Linux kernels as shipped with Red Hat Enterprise Linux 6 and may be addressed in a future update.

This has been rated as having Moderate security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.

Comment 11 Fedora Update System 2015-12-22 07:20:00 UTC
kernel-4.2.8-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-12-22 22:01:13 UTC
kernel-4.2.8-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.